# Manual do &konsolekalendar;

Tuukka
Pasanen

    illuusio@mailcity.com

Allen
Winter

    winterz@kde.org

Malcolm
Hunter

    malcolm.hunter@gmx.co.uk

Revisor
Xosé
Calvo

    xosecalvo@edu.xunta.es

Tradutor do proxecto Trasno
2002
2004
Tuukka Pasanen
2003
2007
Allen Winter
&FDLNotice;
2004-04-15
1.1.1

O &konsolekalendar; é unha interface de liña de comandos para os calendarios do &kde;.

KDE
&package;
&kappname;
KOrganizer

## Introdución

O &konsolekalendar; é unha interface de liña de comandos para os calendarios do &kde;. Permite ver, inserir, eliminar ou modificar eventos do calendario mediante a lilña de comandos ou cunha linguaxe de guións. Para alén disto, o &konsolekalendar; pode crear un calendario novo do &kde;, exportar un calendario do &kde; a outros varios formatos e importar outro calendario do &kde;.

No seu modo básico, o &konsolekalendar; mostra a lista de eventos do calendario por omisión do día actual (desde as 7:00 até as 17:00).

Características principais do &konsolekalendar;:

- Ver entradas do calendario desde unha data/hora de inicio até unha data/hora de remate

- Inserir (engadir) entradas do calendario

- Limpar (eliminar) entradas do calendario

- Mudar (modificar) as entradas do calendario

- Crear un calendario novo

- Exportar entradas do calendario a outros formatos de ficheiro

- Importar un calendario existente do &kde;

O &konsolekalendar; non é outra interface gráfica de usuario para o &kde; (isto é, &korganizer;). O &konsolekalendar; está pensado só para usos nos que unha interface gráfica de usuario non é práctica ou posíbel.

O &konsolekalendar; non fornece unha linguaxe completa para realizar procuras no calendario do usuario: nen é a intención dos autores escribir un día esa capacidade. Fornece opcións de liña de comandos primitivas para acceder aos eventos do calendario nun intervalo de datas/horas consecutivas.

## Características

Neste capítulo aprenderá as funcionalidades principais do &konsolekalendar; e como controlalas mediante os parámetros da liña de comandos (lembre que o &konsolekalendar; non é unha interface gráfica de usuario; é só un programa da liña de comandos).

Aprenderá como inserir, eliminar e alterar os eventos do calendario e como exportar eventos a outros formatos de ficheiro. Neste capítulo tamén se cobrirá a creación e importación de calendarios do &kde;.

### Eventos de visualización

No modo por omisión, ou coa opción `--view`, o &konsolekalendar; listará todos os eventos dentro do intervalo dunha data/hora especificadas.

Para ver todos os eventos de hoxe (desde as 7:00 até as 15:00), simplemente execute:

    % konsolekalendar

No exemplo seguinte vemos todos os eventos da semana de agosto do 18 ao 22:

    % konsolekalendar  --view --date 2008-08-18   --end-date 2008-08-22

Mostrar o(s) vindeiro(s) evento(s) do calendario a partir da hora actual en diante:

    % konsolekalendar  --next

Para ver todos os eventos dos vindeiros cinco días, execute:

    % konsolekalendar  --show-next 5

### Inserir eventos

O &konsolekalendar; pode inserir eventos nun calendario ou recurso de calendario do &kde; mediante o argumento da liña de comandos `--add`. Os eventos que se insiran sen problemas aparecerán inmediatamente nas aplicacións de calendario do &kde; (como &korganizer;).

No exemplo seguinte, inserirase no recurso de calendario por omisión do usuario un evento que comece o 4 de xuño de 2003 ás 10:00 e que remate ás 12:00 co resumo "Visitar o médico":

    % konsolekalendar  --add --date 2008-06-04  --time 10:00 \
     --end-time 12:00  --summary "Visitar o médico"

Neste exemplo engádese un evento de cumpreanos no recuros de calendario por omisión do usuario:

    % konsolekalendar  --add --date 2003-06-06  --summary "O meu cumpreanos"  \
    --description "Festa rachada"

Aquí insírense unhas vacacións de unha semana no calendario compartido vacacions:

    % konsolekalendar  --add --file vacacion.ics  --date 2008-08-01 \
     --end-date 2008-08-07  --summary "Vacacións"  --description "A ver quen me atopa por aquí!"

### Eliminar entradas

O &konsolekalendar; permite eliminar as entradas dun ficheiro ou recurso de calendario mediante o argumento da liña de comandos `--delete`. As entradas do calendario que haxa que eliminar especifícanse exactamente co seu identificador de cadea único (UID, "Unique-string identifier") mediante a opción `--uid`. Os UIDs atópanse mirando primeiro o evento mediante a opción `--view`.

Os eventos que se eliminen sen problemas desaparecerán inmediatamente das aplicacións de calendario do &kde; (&korganizer;, por exemplo).

Cando se elimina algo do calendario, non se pode desfacer! Noutras palabras, ao eliminar unha entrada non se pode volver atrás no borrado. É para sempre.

Aquí eliminamos unha entrada do calendario con UID &konsolekalendar;-1887551750.196:

    % konsolekalendar  --delete --uid  &konsolekalendar;-1887551750.196

### Modificar entradas

O &konsolekalendar; permite modificar as entradas existentes nun ficheiro ou recurso de calendario mediante o argumento de liña de comandos `--change`. As entradas do calendario que haxa que modificar especifícanse exactamente co seu identificador de cadea única (UID, "Unique-string identifier") mediante a opción `--uid`. Os UIDs atópanse mirando primeiro o evento mediante a opción `--view`.

A modificación compórtase do mesmo xeito que a inserción: pódense alterar a data e hora de inicio dun evento, a súa data e hora de remate, o resumo, a localización e a descrición. Os eventos que se alteren sen problemas aparecen inmediatamente modificados nas aplicacións de calendario do &kde; (&korganizer;).

Exemplo: Aquí mudamos o sumario e a descrición dunha entrada de calendario con UID &konsolekalendar;-1887551750.196:

%``konsolekalendar` `--change` `--uid&konsolekalendar;-1887551750.196` `--summary "Mirar a cabeza outra vez"` `--description "non volver canda ese doutor nunca máis!"``

### Crear un ficheiro de calendario novo

O &konsolekalendar; pódese utilizar para crear un ficheiro de calendario do &kde; novo. Dado que non se pode inserir unha entrada nun calendario que non exista, hai que crear primeiro o ficheiro mediante os argumentos da liña de comandos `--create` e `--file` command line arguments.

Crear un ficheiro de calendario chamado `/data/share/calendars/vacacions.ics`:

    % konsolekalendar  --create --file  /data/share/calendars/vacacions.ics

### Exportar a outros formatos

O &konsolekalendar; pode exportar un calendario do &kde; a outros formatos coñecidos. A exportación é unha forma especial de vista. Por omisión, os eventos visualízanse no formato texto do &konsolekalendar;. Para mudar de formato de visualización empregue o argumento da liña de comandos `--export-type`.

Para ver unha lista de todos os formatos de exportación que se admiten, utilice a opción `--export-list`, como en:

    % konsolekalendar  --export-list

### Formatos de exportación

Nesta sección descríbense algúns, mais non necesariamente todos, dos formatos admitidos.

#### Formato de texto do &konsolekalendar;

O formato de texto do &konsolekalendar;é o formato nativo do &konsolekalendar;, que foi deseñado para ser cómodo de ler e para que o examinen guións.

O formato de texto do &konsolekalendar; é:

    Data:\t<Data da incidencia>(dddd yyyy-MM-dd)
     [\t<Hora de inicio da incidencia>(hh:mm) - <Hora de remate da incidencia>(hh:mm)]
     Resumo:
     \t<Resumo da incidencia | "(non hai resumo)">
     Location:
     \t<Localización da incidencia | "(non hai localización)">
     Descrición:
     \t<Descrición da incidencia | "(non hai descrición)">
     UID:
     \t<UID da incidencia>
    --------------------------------------------------

Por exemplo:

    Date:   Xoves 2003-11-01
             08:00 - 09:00
     Summary:
             Reunión do persoal
     Location:
            Sala de xuntas
     Description:
             Reunirse con todo o persoal para debatir sobre o proxecto.
     UID:
             &konsolekalendar;-1128954167.1013
     --------------------------------------------------

#### Formato de texto breve do &konsolekalendar;

O formato de texto breve fornece unha versión máis compacta, menos extensa do formato nativo do &konsolekalendar;.

O formato de texto breve do &konsolekalendar; é:

    [--------------------------------------------------]
     {<Data da incidencia>(dddd yyyy-MM-dd)]
     [<Hora de inicio da incidencia>(hh:mm) - <Hora de remate da incdencia>(hh:mm) |  "\t"]
     \t<Resumo da incidencia | \t>[, <Localización da incidencia>]
     \t\t<Descrición da incidencia | "\t">

Por exemplo:

    --------------------------------------------------
     Xoves 2003-11-01
     08:00 - 09:00   Reunión do persoal, Sala de xuntas
                     Reunirse con todo o persoal para debatir sobre o proxecto.

#### Formato de valores separados por vírgulas (CSV)

O formato de valores separados por vírgulas mostra os valores dos eventos na mesma orde que o formato de texto do &konsolekalendar;. A única diferenza é que toda a información está na mesma fileira e cada campo se separa cunha vírgula. Os ficheiros exportados resultantes pódense importar directamente a programas de folla de cálculo como &kspread;, OpenOffice.org calc e &Microsoft; Excel. Así mesmo, o formato CSV é doado de analizar con guións.

O formato de valores separados por vírgulas (CSV) é:

    AAAA-MM-DD,HH:MM,AAAA-MM-DD,HH:MM,Resumo,Localización,Descrición,UID

Por exemplo:

    2003-11-01,08:00,2003-11-01,09:00,Reunión do persoal,Sala de xuntas,Reunirse a sala de reunións grande \
    con todo o persoal.,&konsolekalendar;-1128954167.1013

#### Formato &HTML;

O formato de exportación a &HTML; produce un ficheiro &HTML; válido que se pode publicar na WWW. Este formato de exportación non é adecuado para que o examinen guións, mais resulta agradábel para a publicación de calendarios para ver en público.

FALTA: Inserir aquí as capturas de pantalla

#### Formato HTMLmonth

Este formato produce un ficheiro en &HTML; que mostra todas as citas dos meses que se especifiquen no intervalod de datas. Este formato de exportación non é axeitado para que o examinen guións mais resulta agradábel para a publicación de calendarios para ver en público.

FALTA: Inserir aquí as capturas de pantalla

### Importar calendarios

O &konsolekalendar; pode importar un ficheiro de calendario iCal ou vCal a un calendario do &kde;. Inseriranse todos os eventos do calendario que se importe, incluídos os eventos idénticos. Na próxima versión do &konsolekalendar; non se inserirán os eventos idénticos.

Para importar o ficheiro de calendario `outro.ics` ao calendario `actual.ics` execute:

    % konsolekalendar  --import outro.ics  --file actual.ics

## Argumentos da liña de comandos

O &konsolekalendar; admite as opcións seguintes:

Opción | Descrición
--- | ---
`--help, --help-all` | Mostra a axuda sobre as opcións do programa.
`--author` | Mostra a información sobre o autor do programa.
`-v, --version` | Mostra a información sobre a versión do programa.
`--license` | Mostra a información sobre a licenza do programa.
`--verbose` | Imprime mensaxes útiles do tempo de execución.
`--dry-run` | Imprime o que se tería feito mais non se executa. Non se modifican ficheiros; non se insiren, eliminan ou alteran os ficheiros existentes nen se crean ficheiros novos.
`--allow-gui` | Permite recursos que poderían precisar dunha interface de usuario interactiva. No funcionamento normal só se empregan recursos que nunca requerirán unha interface de usuario (como calendarios baseados en ficheiros).
`--file` ficheiro-de-calendario | Especifica que ficheiro de calendario se quere usar. Se non se especifica, utilízase o recurso por omisión do &korganizer;.
Modos principais de operación:
`--view` | Imprime eventos do calendario no formato de exportación especificado.
`--add` | Insire un evento no calendario.
`--change` | Modifica un evento de calendario existente.
`--delete` | Elimina un evento de calendario existente.
`--create` | Crea un ficheiro de calendario novo se non existe un.
`--import` ficheiro-de-importación | Importa este calendario ao calendario principal.
Modificadores de operación:
`--all` | Ver toas as entradas do calendario.
`--next` | Ver a seguinte actividade do calendario.
`--show-next` días | Mostrar as actividades dos vinderios n días a partir da data especificada.
`--uid` UID | Ver, eliminar ou mudar o evento con este identificador de cadea único.
`--date` data | Comezar este día [AAAA-MM-DD]. Por omisión, o día é hoxe
`--time` hora | Comezar a esta hora [HH:MM]. Por omisión, a hora é 07.00. Para engadir ou alterar un evento flotante, empregue as opcións `--time float` ou `--end-time float`.
`--end-date` data-de-remate | Rematar este día [AAAA-MM-DD]. O predefinido ponse con `--date`.
`--end-time` hora-de-remate | Rematar a esta hora [[HH:MM]. Por omisión é 17.00. Para engadir ou alterar un evento flotante, empregue as opcións `--time float` ou `--end-time float`.
`--epoch-start` hora-da-época | Comezar a esta hora [segundos desde a época].
`--epoch-end` hora-da-época | Rematar a esta hora [segundos desde a época].
`--summary` resumo | Engadirlle un resumo ao evento (funciona con engadir e mudar).
`--description` descrición | Engadirlle unha descrición ao evento (funciona con engadir e mudar).
`--location` localización | Engadirlle unha localización ao evento (funciona con engadir e mudar).
Opcións de exportación:
`--export-type` tipo-de-exportación | Tipo de ficheiro de exportación. Por omisión, o tipo de exportación é texto
`--export-file` ficheiro-de-exportación | Exportar ao ficheiro. Por omisión, a saída escríbese na saída padrón.
`--export-list` | Imprimir a lista de tipos de exportación admitidos e sair.

## Preguntas e respostas

&reporting.bugs; &updating.documentation;

Que ficheiros de configuración emprega o &konsolekalendar;?

Ningún.

Cales son os nomes da aplicación do &konsolekalendar;?

O nome de aplicación de &konsolekalendar; é konsolekalendar.

Cal é o formato de especificación das datas?

O &konsolekalendar; rexeitará datas especificadas na liña de comandos a non ser que se especifiquen co estándar ISO 8601, nomeadamente: AAAA-MM-DD. ONde AAAA representa un ano con catro díxitos (como 2008). MM representa un mes con dous díxitos (01, 02,...12) e DD representa un día con dous díxitos (01,02,...31).

O &konsolekalendar; exporta sempre as datas seguindo o formato ISO 8601.

Cal é o formato de especifiación das horas?

O &konsolekalendar; rexeitará as horas especificadas na lliña de comandos a non ser que se especifiquen segundo o estándasr ISO 8601, nomeadamente: HH:MM:SS. ONde HH representa unha hora con dous díxitos (01,02,...,24), MM representa un minuto con dous díxitos (01,02,...,60) e SS representa un segundo con dous díxitos (01,02,...,60).

O &konsolekalendar; exporta sempre as horas seguindo o formato ISO 8601.

Inserirá o &konsolekalendar; un evento que sexa idéntico a un que xa existe no calendario?

Non. Vexa a pregunta seguinte.

Como determina o &konsolekalendar; se un evento é idéntico a un que xa existe no calendario?

O &konsolekalendar; contrasta a data e hora de inicio, a data e hora de remate e o resumo con todos os eventos do calendario. A coincidencia entre eventos determínase se os tres valores coinciden cun evento xa existente.

Pódese tornar un evento non frotante nun evento frotante?

Si. Empregue a opción `--time float` con `--change`.

Por que se imprimen os UIDs na maioría dos formatos de exportación?

Porque hai que especificar os UIDs para eliminar ou alterar eventos. Se non quere ver os UIDs dos eventos, empregue o tipo de exportación breve (`--export-type short`).

Como podo engadir a miña pregunta ás FAQ?

Envíe as súas perguntas a winter@kde.org.

## Créditos e licenza

&konsolekalendar; Program copyright 2002-2007:

- Tuukka Pasanen illuusio@mailcity.com

- Allen Winter winter@kde.org

Documentación copyright 2003:

- Allen Winter winter@kde.org

- Tuukka Pasanenilluusio@mailcity.com

xosecalvo@edu.xunta.es

&underFDL; &underGPL;

## Instalación

### Como obter o &konsolekalendar;

&install.intro.documentation;

O &konsolekalendar; ven incluído con &kde;5 e non está disponíbel por separado.

### Requisitos

O &konsolekalendar; require que estean instaladas as bibliotecas normais do &kde; (o paquete `kdelibs` e `kdepimlibs`). Para compilalo desde a fonte tamén fan falta os paquetes de desenvolvemento `kdelibs` e `kdepimlibs` do &Qt;.

Pode atopar unha lista de modificacións no ficheiro `ChangeLog`.

### Configuración

Non se require unha configuración especial para preparar o &konsolekalendar; e que se execute no escritorio &kde;.

&documentation.index;